# Iterator::valid

(PHP 5, PHP 7)

Iterator::valid — Checks if current position is valid

### Description

abstract public Iterator::valid ( void ) : bool

This method is called after Iterator::rewind() and Iterator::next() to check if the current position is valid.

### Parameters

This function has no parameters.

### Return Values

The return value will be casted to boolean and then evaluated. Returns `TRUE` on success or `FALSE` on failure.